# LiquityV2SPClaimColl

### Description

This action is only needed in the case a user has no deposit but still has remaining stashed Coll gains.

### Action ID

`0x76f835f0`

### SDK Action

```ts
const liquityV2SPClaimCollAction = new dfs.actions.liquityV2.LiquityV2SPClaimCollAction(
    market,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param market The address of the LiquityV2 market (collateral branch)
    /// @param to The address to send the tokens to
    struct Params {
        address market;
        address to;
    }
```

### Return Value

```solidity
return bytes32(claimedCollAmount);
```

### Events and Logs

```solidity
emit ActionEvent("LiquityV2SPClaimColl", logData);
logger.logActionDirectEvent("LiquityV2SPClaimColl", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/liquityv2/liquityv2spclaimcoll.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
